Package org.springframework.security.web.server.authorization

# Class DelegatingReactiveAuthorizationManager

java.lang.Object
org.springframework.security.web.server.authorization.DelegatingReactiveAuthorizationManager

All Implemented Interfaces:
  `org.springframework.security.authorization.ReactiveAuthorizationManager<org.springframework.web.server.ServerWebExchange>`

public final class DelegatingReactiveAuthorizationManager extends Object implements org.springframework.security.authorization.ReactiveAuthorizationManager<org.springframework.web.server.ServerWebExchange>

Since:
  5.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DelegatingReactiveAuthorizationManager.Builder`

## Method Summary

Modifier and Type
Method
Description
`static DelegatingReactiveAuthorizationManager.Builder`
`builder()`
`reactor.core.publisher.Mono<org.springframework.security.authorization.AuthorizationDecision>`
`check(reactor.core.publisher.Mono<org.springframework.security.core.Authentication> authentication, org.springframework.web.server.ServerWebExchange exchange)`
Deprecated.
please use `ReactiveAuthorizationManager.authorize(Mono, Object)` instead

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.authorization.ReactiveAuthorizationManager

`authorize, verify`

## Method Details

### check

@Deprecated public reactor.core.publisher.Mono<org.springframework.security.authorization.AuthorizationDecision> check(reactor.core.publisher.Mono<org.springframework.security.core.Authentication> authentication, org.springframework.web.server.ServerWebExchange exchange)
Deprecated.
please use `ReactiveAuthorizationManager.authorize(Mono, Object)` instead

Specified by:
  `check` in interface `org.springframework.security.authorization.ReactiveAuthorizationManager<org.springframework.web.server.ServerWebExchange>`

### builder

public static DelegatingReactiveAuthorizationManager.Builder builder()